Subject: Re: transpose-words-match (Re: New widget "transpose-segments")
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Mon, 11 Jan 2016 22:46:00 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jan 11, 10:26pm, Bart Schaefer wrote:
}
} Further, copy-prev-shell-word is a built-in widget; and it appears to
} have a bug when the previous shell word is a single character with no
} whitespace between it and the cursor.  (The transpose-words builtin
} has a similar difficulty with one-character words, I think.)

Sorry, no; the builtin transpose-words does not have that problem, I
had forgotten that I ran select-words-by-style earlier in that shell,
so I wasn't getting the builtin from ESC t.